Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.job.opstatus
Class CIBMonitoredObjectElement

    java.lang.Object
      com.sun.management.oss.impl.job.opstatus.MonitoredObjectElement
          com.sun.management.oss.impl.job.opstatus.CIBMonitoredObjectElement

public class CIBMonitoredObjectElement
extends MonitoredObjectElement

`CIBMonitoredObjectElement` holds the availability and the operational status of a monitored object identified by an object name.

Constructor Summary
`CIBMonitoredObjectElement(javax.management.ObjectName objectName)` Creates a new instance of `CIBMonitoredObjectElement` with the given object name.

Method Summary
`boolean` | `setAvailabilityStatusState(int state, long lastChange, long degradedTime)` Sets the new state of this availability status, the time in milliseconds when the change occured and the time in milliseconds when the monitored entity left the normal state.
`void` | `setException(java.lang.String msg)` Sets the exception field of this object.
`boolean` | `setOperationalStatusState(int state, long lastChange, long startTime)` Sets the new state of this operational status, the time in milliseconds when the change occured and time in milliseconds when the monitored entity entered the RUNNING state.
`java.lang.String` | `toXml()` Returns a XML representation of this `CIBMonitoredObjectElement` instance.

Methods inherited from class com.sun.management.oss.impl.job.opstatus.MonitoredObjectElement
`getException, hasException`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CIBMonitoredObjectElement

    public CIBMonitoredObjectElement(javax.management.ObjectName objectName)

  Creates a new instance of `CIBMonitoredObjectElement` with the given object name.

Parameters:
  `objectName` - the object name that identified the monitored object represented by this object

Method Detail

### setAvailabilityStatusState

    public boolean setAvailabilityStatusState(int state,
                                              long lastChange,
                                              long degradedTime)

  Sets the new state of this availability status, the time in milliseconds when the change occured and the time in milliseconds when the monitored entity left the normal state.

  The returned value indicates if the availability status has changed since last call.

  Parameters:
    `state` - the new state.
    `lastChange` - the time in milliseconds when the change occured.
    `degradedTime` - time in milliseconds when the state left the normal state
  Returns:
    true if the availability status changed since last call; false otherwise.

### setException

    public void setException(java.lang.String msg)

  Sets the exception field of this object.

  An exception is set if an issue occured while retrieving information from the instrumentation layer.

  Overrides:
    `setException` in class `MonitoredObjectElement`
  Parameters:
    `msg` - the exception message.

### setOperationalStatusState

    public boolean setOperationalStatusState(int state,
                                             long lastChange,
                                             long startTime)

  Sets the new state of this operational status, the time in milliseconds when the change occured and time in milliseconds when the monitored entity entered the RUNNING state.

  The returned value indicates if the operational status has changed since last call (on the first call, this method returns false).

  Parameters:
    `state` - the new state.
    `lastChange` - the time in milliseconds when the change occured.
    `startTime` - time in milliseconds when the state entered the RUNNING state
  Returns:
    true if the operational status changed since last call; false otherwise.

### toXml

    public java.lang.String toXml()

  Returns a XML representation of this `CIBMonitoredObjectElement` instance.

  Specified by:
    `toXml` in class `MonitoredObjectElement`
  Returns:
    a XML representation of this `CIBMonitoredObjectElement` instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD